org.apache.cassandra.cql3.statements

## Class Selection.ResultSetBuilder

- java.lang.Object
- - org.apache.cassandra.cql3.statements.Selection.ResultSetBuilder

- Enclosing class:
    Selection

      public class Selection.ResultSetBuilder
      extends java.lang.Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.nio.ByteBuffer v)`
    `void` | `add(Cell c)`
    `ResultSet` | `build()`
    `void` | `newRow()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### add

          public void add(java.nio.ByteBuffer v)

    - #### add

          public void add(Cell c)

    - #### newRow

          public void newRow()
                      throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### build

          public ResultSet build()
                          throws InvalidRequestException

      Throws:
        `InvalidRequestException`

Copyright © 2014 The Apache Software Foundation